LaTeX forum ⇒ LyXFirefox requires Parallels Desktop to operate. Please install Parallels Desktop and try again.

Information and discussion about LyX, a WYSIWYM editor, available for Linux, Windows and Mac OS X systems.
surlezi
Posts: 1
Joined: Sun Aug 13, 2017 1:25 am

Firefox requires Parallels Desktop to operate. Please install Parallels Desktop and try again.

Postby surlezi » Sun Aug 13, 2017 1:40 am

Hello,

I've done quite some googling today and also looking into forum and Lyx manual and can't find any help.
I'm new to Lyx and I thought it would make LaTeX easy, but it's just the contrary.

I've installed it, and when I try a basic file and change it's class to anything with SGML, when I try to "view" the file, it will open my Parallels Desktop virtual machine, and not even open Firefox inside it, while it seems to be the app it is looking for.
I can't find how to change that. I removed Parallels, but Lyx won't reconfigure itself, even if I remove it and reinstall it. I will just get the error message above: "Firefox requires Parallels Desktop to operate. Please install Parallels Desktop and try again.". Eventhough I have Firefox installed in OSX !
I can't understand why on earth Lyx won't use the default web browser of the system instead of one embedded in a virtual machine, this is very upsetting.
I hope someone can help me. Thank you.

PS:
it is also very surprising that the default file splash.lyx won't even compile without an error message out of the box... I think it's because I don't have inkscape installed to render svg files...
PPS:
I want to help a friend make her medical phd using Lyx instead of Word, I told her it would be simple...

iMac 2011 with Sierra and Lyx 2.2.3 and latest LaTeX.

Tags:

User avatar
thomasb
Posts: 50
Joined: Thu Aug 03, 2017 10:54 am
Location: france

Postby thomasb » Sun Aug 13, 2017 4:25 am

If you try to do a simple document, does it work ? Dont try to lauch satellites on Latex to start with, even gurus find it difficult...

scottkosty
Site Moderator
Posts: 484
Joined: Sat Sep 01, 2012 6:38 am

Postby scottkosty » Sun Aug 13, 2017 6:32 am

If even the default splash does not compile, you probably have a corrupt installation.

User avatar
Johannes_B
Site Moderator
Posts: 3450
Joined: Thu Nov 01, 2012 4:08 pm

Postby Johannes_B » Sun Aug 13, 2017 6:34 am

Welcome, i am not quite sure how SGML and firefox come into mind using LyX in the first place. It is for generating a pdf file using (La)TeX under the hood.

But yes, in general, using LyX needs knowledge of LaTeX and LyX, so it is a good idea to know the LaTeX basics first.
The smart way: Calm down and take a deep breath, read posts and provided links attentively, try to understand and ask if necessary.


Return to “LyX”

Who is online

Users browsing this forum: Baidu [Spider] and 3 guests